Tíquete #44309

.mpdl format: Allow baseURL to end to '/'

: 2022-04-09 21:05 Última Atualização: 2022-04-21 08:06

Relator:
Dono:
Tipo:
Estado:
Fechado
Componente:
Prioridade:
5 - Medium
Gravidade:
5 - Medium
Resolução:
Fixed
Arquivo:
2

Details

Modpack installer forms the final URL by "baseURL + '/' + path". That means that baseURL is not allowed to contain the '/' as it would duplicate, leading to trouble as I just witnessed debugging problems on a modpack that was installed with baseURL "./"

We definitely be smarter about that, and check if baseURL already ends to '/', and not duplicate it in that case.

This should be the case both with paths relative to modpack list, and paths relative to .mpdl.

Ticket History (3/5 Histories)

2022-04-09 21:05 Updated by: cazfi
  • New Ticket ".mpdl format: Allow baseURL to end to '/'" created
2022-04-10 12:52 Updated by: cazfi
  • Dono Update from (Nenhum) to cazfi
  • Resolução Update from Nenhum to Accepted
Comentário

S3_0 (d3f branch) patch just adds warning about the format to README.modpack_installer.

2022-04-21 08:06 Updated by: cazfi
  • Estado Update from Aberto to Fechado
  • Resolução Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login